Search deliveries
curl --request POST \
--url https://app.hookie.ai/admin/api/projects/{pid}/search/deliveries \
--header 'Content-Type: application/json' \
--cookie hookie_session= \
--data '
{
"response_code": 123,
"destination_id": "<string>",
"min_latency_ms": 123,
"since": "<string>",
"limit": 25,
"offset": 0
}
'const options = {
method: 'POST',
headers: {cookie: 'hookie_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
response_code: 123,
destination_id: '<string>',
min_latency_ms: 123,
since: '<string>',
limit: 25,
offset: 0
})
};
fetch('https://app.hookie.ai/admin/api/projects/{pid}/search/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/projects/{pid}/search/deliveries"
payload = {
"response_code": 123,
"destination_id": "<string>",
"min_latency_ms": 123,
"since": "<string>",
"limit": 25,
"offset": 0
}
headers = {
"cookie": "hookie_session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"entity": "deliveries",
"count": 123,
"total": 123,
"limit": 123,
"offset": 123,
"results": [
{
"id": "<string>",
"destination_id": "<string>",
"event_id": "<string>",
"dataset": "<string>",
"status": "<string>",
"response_code": 123,
"response_ms": 123,
"attempts": 123,
"error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}Search
Search deliveries
Top-level alias: POST /admin/api/search/deliveries.
POST
/
admin
/
api
/
projects
/
{pid}
/
search
/
deliveries
Search deliveries
curl --request POST \
--url https://app.hookie.ai/admin/api/projects/{pid}/search/deliveries \
--header 'Content-Type: application/json' \
--cookie hookie_session= \
--data '
{
"response_code": 123,
"destination_id": "<string>",
"min_latency_ms": 123,
"since": "<string>",
"limit": 25,
"offset": 0
}
'const options = {
method: 'POST',
headers: {cookie: 'hookie_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
response_code: 123,
destination_id: '<string>',
min_latency_ms: 123,
since: '<string>',
limit: 25,
offset: 0
})
};
fetch('https://app.hookie.ai/admin/api/projects/{pid}/search/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/projects/{pid}/search/deliveries"
payload = {
"response_code": 123,
"destination_id": "<string>",
"min_latency_ms": 123,
"since": "<string>",
"limit": 25,
"offset": 0
}
headers = {
"cookie": "hookie_session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"entity": "deliveries",
"count": 123,
"total": 123,
"limit": 123,
"offset": 123,
"results": [
{
"id": "<string>",
"destination_id": "<string>",
"event_id": "<string>",
"dataset": "<string>",
"status": "<string>",
"response_code": 123,
"response_ms": 123,
"attempts": 123,
"error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}Authorizations
sessionbearerAuth
The console's sealed session cookie, set by WorkOS AuthKit. Mutating requests also require the X-Requested-With CSRF header.
Path Parameters
Project id (UUID) belonging to the caller workspace.
Body
application/json
All filters optional and ANDed. Note there is no until filter on this entity.
Matched exactly; any string is accepted by the handler.
Available options:
queued, delivering, delivered, failed, dead Must be an integer.
Matches response_ms >= value.
ISO timestamp; matches created_at >= since.
Required range:
1 <= x <= 200Required range:
x >= 0